Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.workers
Class InvokerWorker

    java.lang.Object
      org.apache.sandesha2.workers.SandeshaWorker
          org.apache.sandesha2.workers.InvokerWorker

All Implemented Interfaces:
  java.lang.Runnable

    public class InvokerWorker

extends SandeshaWorker
implements java.lang.Runnable

Constructor Summary
`InvokerWorker(org.apache.axis2.context.ConfigurationContext configurationContext, InvokerBean bean)`

Method Summary
`void` | `forceOutOfOrder()`
`void` | `run()` The run method invokes the message that this invoker has been primed with, but will also attempt to invoke subsequent messages.
`void` | `setPooled()`

Methods inherited from class org.apache.sandesha2.workers.SandeshaWorker
`getLock, getWorkId, setLock, setWorkId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokerWorker

    public InvokerWorker(org.apache.axis2.context.ConfigurationContext configurationContext,
                         InvokerBean bean)

Method Detail

### forceOutOfOrder

    public void forceOutOfOrder()

### setPooled

    public void setPooled()

### run

    public void run()

  The run method invokes the message that this invoker has been primed with, but will also attempt to invoke subsequent messages. If the invoker worker is running on the application thread then we move on to a thread pool for the second message, but if we are already on a pooled thread then we just continue.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.